package com.ruoyi.common.exception;

/**
 * 系统授权异常类
 */
public class LicenseException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    // 错误码字段（可扩展）
    private Integer code;


    public LicenseException(String message) {
        super(message);
    }

    public LicenseException(String message, Throwable cause) {
        super(message, cause);
    }

    public LicenseException(Integer code, String message) {
        super(message);
        this.code = code;
    }
    public Integer getCode() {
        return code;
    }
}
